CHAGE(1)

NAME
chage - ändert die Information zum Passwortverfall

ÜBERSICHT

chage [Optionen] ANMELDENAME

BESCHREIBUNG

Der Befehl chage verändert die Anzahl der Tage zwischen dem letzten Wechsel des Passworts und dem nächsten Wechsel. Mit dieser Information bestimmt das System, wann ein Benutzer sein Passwort verändern muss.

OPTIONEN

Die Optionen, die vom Befehl chage unterstützt werden, sind:

-d, --lastday LETZTER_TAG
    Legt die Anzahl der Tage, gerechnet ab dem 1. Januar 1970, fest, seit denen das Passwort das letzte Mal gewechselt wurde. Das Datum kann auch im Format JJJJ-MM-TT (oder in dem Format, das in Ihrer Region verbreitet ist) angegeben werden.

-E, --expiredate VERFALLSDATUM
    Setzt das Datum oder die Anzahl der Tage seit dem 1. Januar 1970, ab dem auf das Benutzerkonto nicht mehr zugegriffen werden kann. Das Datum kann auch im Format JJJJ-MM-TT (oder in dem Format, das in Ihrer Region verbreitet ist) angegeben werden. Ein Benutzer, dessen Konto gesperrt ist, muss sich mit dem Systemadministrator in Verbindung setzen, ehe er sich wieder am System anmelden kann.

    Wenn -1 als VERFALLSDATUM angegeben wird, wird das Verfallsdatum für das Konto entfernt.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-I, --inactive INAKTIV
    Legt die Anzahl der Tage der Untätigkeit fest, nach denen ein Passwort abgelaufen ist, bevor das Konto gesperrt wird. Die Option INAKTIV bezeichnet die Anzahl der Tage, für die das Konto inaktiv ist. Ein Benutzer, dessen Konto gesperrt ist, muss sich mit dem Systemadministrator in Verbindung setzen, ehe er sich wieder am System anmelden kann.

    Wenn -1 als INAKTIV angegeben wird, wird die Überwachung der fehlenden Verwendung des Kontos entfernt.

-l, --list
    zeigt Informationen zur Kontoalterung an

-m, --mindays MIN_TAGE
    Setzt die Anzahl von Tagen, die mindestens zwischen zwei Änderungen eines Passworts vergehen müssen, auf MIN_TAGE. Ein Wert von Null in diesem Feld bedeutet, dass der Benutzer sein Passwort jederzeit ändern darf.

-M, --maxdays MAX_TAGE
    Bestimmt die maximale Anzahl von Tagen, die das Passwort gültig bleibt. Wenn MAX_TAGE plus LETZTER_TAG älter als das aktuelle Datum ist, muss der Benutzer sein Passwort ändern, ehe er sein Konto benutzen kann. Mit der Option -W werden die Benutzer vor dem drohenden Verfall ihres Passworts gewarnt.

    Wenn -1 als MAX_TAGE angegeben wird, wird der Passwortverfall entfernt.

-R, --root CHROOT_VERZ
    führt die Veränderungen in dem Verzeichnis CHROOT_VERZ durch und verwendet die Konfigurationsdateien aus dem Verzeichnis CHROOT_VERZ

-W, --warndays WARN_TAGE
    Legt die Anzahl der Tage fest, an denen der Benutzer eine Warnung erhält, bevor sein Passwort geändert werden muss. Die Option WARN_TAGE bezeichnet die Anzahl der Tage, für die ein Benutzer vor Verfall seines Passworts gewarnt wird.

Wenn keine Option ausgewählt wird, arbeitet chage interaktiv. Dabei wird der Benutzer nach den aktuellen Werten für alle Felder befragt. Bei Eingabe eines neuen Wertes wird dieser verwendet, bei Eingabe einer Leerzeile stattdessen der Originalwert beibehalten. Der aktuelle Wert wird zwischen einem Paar von [ ] angezeigt.

ANMERKUNGEN

Für das Programm chage ist es notwendig, dass eine Shadow-Passwort-Datei vorhanden ist.

Der Befehl chage kann nur von Root ausgeführt werden. Alle anderen Benutzer können nur die Option -l verwenden, um die Verfallsdaten für ihr Konto einzusehen.

KONFIGURATION

Die folgenden Konfigurationsvariablen in /etc/login.defs beeinflussen das Verhalten dieses Werkzeugs:

DATEIEN

/etc/passwd
    Informationen zu den Benutzerkonten

/etc/shadow
    verschlüsselte Informationen zu den Benutzerkonten

RÜCKGABEWERTE

Der Befehl chage gibt beim Beenden folgende Werte zurück:

0
    Erfolg

1
    Berechtigung verweigert

2
    unzulässige Syntax für diesen Befehl

15
    Eine Shadow-Passwort-Datei kann nicht gefunden werden.

SIEHE AUCH

passwd(5), shadow(5).